Subject: bug#78596: 30.1; recentf-open ought to use a completion table

From: Eshel Yaron <[email-masked]>
Date: Sun, 08 Jun 2025 22:04:37 +0200

Hi Daniel,

Daniel Mendler <[email-masked]> writes:

> Eshel Yaron via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" <[email-masked]> writes:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>>> From: Eshel Yaron <[email-masked]>
>>>> Cc: dino chiesa <[email-masked]>,  [email-masked]
>>>> Date: Sat, 07 Jun 2025 22:14:05 +0200
>>>> 
>>>> Eli Zaretskii <[email-masked]> writes:
>>>> 
>>>> >> From: dino chiesa <[email-masked]>
>>>> >> Date: Sun, 1 Jun 2025 00:32:26 +0000
>>>> >> msip_labels: 
>>>> >> 
>>>> >> Thank you, 
>>>> >> that will work nicely. 
>>>> >
>>>> > Thanks.
>>>> >
>>>> > Eshel, would you please therefore install your changes?
>>>> 
>>>> Sure, I've now pushed the change to recentf-open in commit b7560fb63dc.
>>>> Should I also push the part that documents
>>>> completion-table-with-metadata in the ELisp manual?
>>>
>>> Yes.  If what you say there is correct for Emacs 30 as well, please
>>> install that part on the release branch.
>>
>> AFAICT completion-table-with-metadata was only added on master,
>> so I pushed it to master in commit 4be63c85d2a.
>
> `completion-table-with-metadata' does not merge the metadata. The
> function only adds metadata to a table without metadata, like a list of
> strings.

Oh my, right, I had another version of that function in mind.
I've pushed a fix in 86eb733aef4, does that seem accurate?

Thanks,

Eshel